<div class="detail-content">
    <div class="detail-content-item">
        <span class="title">{{'AGT_CONTENT_CLLB_ACTIVITY' | translate}}:</span>
        <span class="body">{{ activeCallback.queue.displayName }}</span>
    </div>
    <div class="detail-content-item">
        <span class="title">{{'AGT_CONTENT_CLLB_COMPANY' | translate}}:</span>
        <span class="body">{{ activeCallback.company }}</span>
    </div>
    <div class="detail-content-item">
        <span class="title">{{'AGT_CONTENT_CLLB_IDENTITY2' | translate}}:</span>
        <span class="body">{{ activeCallback.firstName }} {{ activeCallback.lastName }}</span>
    </div>
    <div class="detail-content-item">
        <span class="title">{{'AGT_CONTENT_CLLB_REQUEST' | translate}}:</span>
        <span class="detail-content-item-inline">
            <p class="body">{{ activeCallback.dueDate }} / {{ activeCallback.preferredPeriod.name }} {{ activeCallback.preferredPeriod.periodStart }}-{{ activeCallback.preferredPeriod.periodEnd }}) </p>
            <i class="callbacks state-{{ activeCallback.dueStatus }}"></i>
        </span>
    </div>
    <div class="detail-content-item">
        <span class="title">{{'AGT_CONTENT_CLLB_DESCRIPTION' | translate}}:</span>
        <span class="body">{{ activeCallback.description }}</span>
    </div>

    <div class="detail-content-item" ng-if="activeCallback.voiceMessageRef">
        <p class="title">{{'AGT_CONTENT_CLLB_MEVO_TITLE' | translate}}:</p>
    </div>

    <div class="detail-content-mevo" ng-if="activeCallback.voiceMessageRef">
        <div ng-mouseover="activeCallback.hoverMevo=true" ng-mouseleave="activeCallback.hoverMevo=false"
             ng-click="ctrl.listenCallbackMessage(activeCallback.voiceMessageRef)" class="call-buttons">
            <div ng-show="!activeCallback.hoverMevo" class="vcenter">{{'AGT_CONTENT_CLLB_MEVO' | translate}}</div>
            <div ng-show="activeCallback.hoverMevo" class="call-buttons hover">
                <i class="fa fa-envelope fa-2x"></i> {{'AGT_CONTENT_CLLB_MEVO_LISTEN' | translate}}
            </div>
        </div>
    </div>

    <div class="detail-content-item">
        <p class="title">{{'AGT_CONTENT_CLLB_NUMBERS' | translate}}:</p>
    </div>

    <div class="detail-content-footer">
        <div ng-mouseover="activeCallback.hoverPN=true" ng-mouseleave="activeCallback.hoverPN=false" ng-if="activeCallback.phoneNumber" class="call-buttons">
            <div ng-show="!activeCallback.hoverPN || !ctrl.isNotInCall()" class="vcenter">{{ activeCallback.phoneNumber }}</div>
            <div ng-show="activeCallback.hoverPN && ctrl.isNotInCall()" ng-click="ctrl.startCallbackCall(activeCallback.phoneNumber)" class="call-buttons hover">
                <i class="fa fa-phone fa-2x"></i> {{'AGT_CONTENT_CLLB_CALL' | translate}}
            </div>
        </div>

        <div ng-mouseover="activeCallback.hoverMPN=true" ng-mouseleave="activeCallback.hoverMPN=false" ng-if="activeCallback.mobilePhoneNumber" class="call-buttons center">
            <div ng-show="!activeCallback.hoverMPN || !ctrl.isNotInCall()" class="vcenter">{{ activeCallback.mobilePhoneNumber }}</div>
            <div ng-show="activeCallback.hoverMPN && ctrl.isNotInCall()" ng-click="ctrl.startCallbackCall(activeCallback.mobilePhoneNumber)" class="call-buttons hover">
                <i class="fa fa-phone fa-2x"></i> {{'AGT_CONTENT_CLLB_CALL' | translate}}
            </div>
        </div>
    </div>

    <div class="detail-content-buttons">
        <div class="button cancel-button" ng-click="ctrl.releaseCallback()">
            <p>{{'AGT_CONTENT_CLLB_BACK' | translate}}</p>
        </div>
    </div>

</div>
